WordPress 2.1.1 & 2.0.9

WordPress 2.1.1 和 2.0.9 同時登場,2.1.1 主要是修正一些 minor bugs,包括 encoding、XML-RPC、the object cache、HTML code 等等,使用 WordPress 2.1 的朋友這個版本不是迫切需要更新的。

WordPress 2.1.1 下載鏈結 »

至於 2.0.9,各位心水清的朋友應該發現,為何由 2.0.7 直接跳上 2.0.9 呢?因為 2.0.8 是標籤為 Debian 版本而且是從沒發布過的,2.0.9 是一個保安漏洞修正版本,使用 2.0.7 的朋友建議更新,它主要防止 XSS (Cross Site Scripting) 的,再次提提大家 2.0 branch 只為修補保安漏洞而繼續更新,所有新功能都會放在 2.1 branch 上。

WordPress 2.0.9 下載鏈結 »

4 Responses to “WordPress 2.1.1 & 2.0.9”

  1. 2340

    怪不得wordpress D 人要過檔了,
    d version 七國咁亂。
    真難明白。

  2. 2337

    [quote comment="18896"]怪不得wordpress D 人要過檔了,
    d version 七國咁亂。
    真難明白。[/quote]

    很多 Open Source projects 都有類似的情況,同時 maintain 多於一個 branch,好像 Linux kernel、FreeBSD 等等,所以版本絕對不是亂,有些人包括我在內,想由 WordPress 轉用其他 blogging engine 的主要原因是 WordPress 商業味道愈來愈重,和 community 的距離愈來愈遠,之前一些決定根本沒和 community 溝通便自行決定,令很多人覺得心淡,亦令很多人期望 Habari 能成功。

  3. 2423

    Tinyau,

    Any chance you could let us have just the files we need to replace for upgrading 2.1 to 2.1.1 in a downloadable ZIP?

    Thanks a lot :)

  4. 2424

    Ok never mind, there is a list "here":http://www.owind.com/pub/computer/2007/02/21/wordpress-211-and-209/

Leave a Reply